Retrieve Link for Web Integration
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gnosispay.com/api/v1/kyc/integration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.gnosispay.com/api/v1/kyc/integration \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gnosispay.com/api/v1/kyc/integration"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/kyc/integration"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gnosispay.com/api/v1/kyc/integration")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/kyc/integration")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"type": "SUMSUB_WEB",
"url": "<string>"
}{
"message": "<string>"
}{
"message": "The user has already been approved"
}{
"message": "An unexpected error occurred."
}KYC
Retrieve Link for Web Integration
Retrieve the specification to follow with the KYC integration.
GET
/
api
/
v1
/
kyc
/
integration
Retrieve Link for Web Integration
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gnosispay.com/api/v1/kyc/integration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.gnosispay.com/api/v1/kyc/integration \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gnosispay.com/api/v1/kyc/integration"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/kyc/integration"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gnosispay.com/api/v1/kyc/integration")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/kyc/integration")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"type": "SUMSUB_WEB",
"url": "<string>"
}{
"message": "<string>"
}{
"message": "The user has already been approved"
}{
"message": "An unexpected error occurred."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Optional language code in ISO 639-1 format (2 letters) to force the KYC flow language. If not provided, SumSub will use its own rules to determine the language.
Pattern:
^[a-z]{2}$Example:
"en"